Canalplan Bug Tracker



Anonymous Login
2019-04-21 09:28 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000541Canalplan [All Projects] Bugpublic2019-03-19 11:30
ReporterLaurence 
Assigned Touser17280 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformN/A Canal plan/Wordpress serversOSN/A(MAC/Safari but not relevant)OS VersionN/A
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000541: Unable to get Wordpress plugin to work
DescriptionErrors / Diagnostic information


(a) Fatal error: Cannot use object of type WP_Error as array in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 92

(b)cWarning: file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0 in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-diagnostics.php on line 33

Warning: file_get_contents(https://canalplan.org.uk/cgi-bin/api.cgi?mode=version): failed to open stream: no suitable wrapper could be found in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-diagnostics.php on line 33
Diagnostic Information

Please provide the following information about your installation:
CanalPlan: 3.50 (3.50 r00)
File_open Status: file_get_contents is available but cannot access Canalplan - This is a problem
CanalPlan AC (Website): ( )
WordPress: 4.9.9
PHP: 5.6.40
PHP Memory Limit: 256M
PHP Memory Usage (MB): 7
MySQL: 10.1.37-MariaDB
Canalplan Update Cron: daily
Server : Apache
Active Plugins :
     CanalPlan Integration ( 3.50 )
     Easy Remove Footer Credit ( 1.0 )
     FooGallery Owl Carousel Template ( 1.4.2 )
     FooGallery ( 1.5.9 )
     Photonic Gallery & Lightbox for Flickr, SmugMug, Google Photos, Picasa, Zenfolio and Instagram ( 2.13 )
     TablePress ( 1.9.1 )

Canalplan Table Status :
      Table 'wpqi_canalplan_options' is present and contains 3 rows
      Table 'wpqi_canalplan_aliases' is present and contains 0 rows
      Table 'wpqi_canalplan_codes' is present and contains 0 rows
      Table 'wpqi_canalplan_favourites' is present and contains 1 rows
      Table 'wpqi_canalplan_link' is present and contains 0 rows
      Table 'wpqi_canalplan_canals' is present and contains 0 rows
      Table 'wpqi_canalplan_routes' is present and contains 0 rows
      Table 'wpqi_canalplan_polylines' is present and contains 0 rows
      Table 'wpqi_canalplan_route_day' is present and contains 0 rows
Steps To ReproduceLog into our Wordpress installation at Lady-Smock.com and
a) Try to [Get Data] to the Canal Plan Database
b) Look at the Canal Plan Key section
Additional InformationInstallation of the plugin has been done by using the automatic install process in Wordpress. I have not attempted any manual configuration.
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

-Relationships
+Relationships

-Notes

~0002067

Stephen Atty (administrator)

https:// wrapper is disabled in the server configuration by allow_url_fopen=0

is caused by

allow_url_fopen = ON

not being set in your php.ini file.

It could be that if you are on shared hosting this has been turned off on purpose.

However the plugin should report this as a problem and not raise an error. I'll set my test server up and see what I can do to fix that


Fatal error: Cannot use object of type WP_Error as array in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 92

Is a very odd error because wp_error should exist - it looks like for some reason the code is somehow getting to where it is without the object being initialised.

~0002068

Stephen Atty (administrator)

OK the error with

Warning: file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0

is because allow_url_fopen is set to 0 in your PHP.INI file.

As by default this is set on On (or 1) this implies that your hosting company has disabled it for some reason. You'll need to talk to them.

The Fatal error is caused by the same issue. The reason the error is different is because I use wp_remote_get to get the data - so Wordpress itself falls over and causes that error.


I can add bits of code into the diagnostics to flag up the problem and I'll update the README to indicate that the allow_url_fopen has to be set to ON.

~0002069

Stephen Atty (administrator)

I'm recoding a lot of the file_open to use the wp_remote_get when ever I need to interact with a remote site.

So that should make things better.

allow_url_fopen being set to 0 does not stop wp_remote_get from working. So I've no idea what is causing that error.

~0002070

Stephen Atty (administrator)

I've done a lot of recoding including putting in error reporting if wp_remote_get errors.

However I've had to do this into the version which partially supports Gutenberg which will take me a little while to complete as I'm on call at the moment.

You do need to see if you have any errors anywhere for wp_remote_get and talk to your hosting company about the allow_url option.

~0002079

Stephen Atty (administrator)

Version 3.60 released - it may still error but hopefully will give a better error now.

~0002080

Laurence (reporter)

Stephen thanks for swift attention

I have installed the new version(using the Wordpress plugin update option so I don't know if I should have done an uninstall and re-install.
Error for get data is now:-

cURL error 28: Operation timed out after 10000 milliseconds with 8257536 out of 10213376 bytes received

Fatal error: Cannot use object of type WP_Error as array in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 98

The errors for the get API Key is sightly improved.
Warning: file_get_contents(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0 in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 335

AS we know what the root cause is I'm going to see if I can download a plugin that allows me to change the server configuration.

~0002081

Stephen Atty (administrator)

Woops - I missed the API key bit - I'll fix that.

As for the other bit - it timed out trying to download the main data files from the canalplan server. I've found out how to adjust the curl values so will put those in.

~0002082

Stephen Atty (administrator)

OK rather than push a new version up whilst we're working on this. I've attached a full copy of the plugin in an archive.

If you can unzip that and upload the contents of the archive into to /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/ folder - so it replaces the existing contents...

~0002084

Laurence (reporter)

OK :

We think we have set allow_url_fopen in the php.ini file (done at bout 20:00 hours last night the person who has admin access to the WP install says there is a php.ini file with a single line that says allow_url_fopen = On
Canal Plan AC plugin version 3.6 is still producing the same error with data download timeout and the error issuing the API Key.

I don't know however how to force a retry at getting the API Key (I tried a deactivate and re-activate of the plugin a few minutes ago but that did not appear to change anything)

Regarding installing the later version I did not see where the archive was and as I don't have access to the command line for the Wordpress installation I would not be confident in being able to unpack and install a new version from an archive.

~0002085

Stephen Atty (administrator)

The archive is attached to this ticket. You'd upload it using a file manager, but if that's not possible then I'll have to release it into the Wordpress repository.

What error did you get from the API check?

I've been busy on call so I've not had a chance to prep a new release. I'll try to get that done sometime this evening.

~0002086

Laurence (reporter)

WE have a reply from our hosting provider:

The allow_url_fopen setting in php.ini is overridden by the server-level directives. This is to prevent PHP exploits with no plans to change this foreseen. We could install a dedicated server or or a VPS but don't intend to go down that route.

I would agree that: making the error reporting more explicit, and updating the installation documentation (with the note that the change may not be possible on some hosted sites) is probably the best resolution to this bug report.
 It looks like we will not be using the CP plugin on our Wordpress site - sorry.
Thanks once again for your diligent and swift attention on this.

~0002087

Stephen Atty (administrator)

The new version should move away from direct calls and use the wp_remote_get call which uses CURL which hopefully fixes the issue.

As I said I'm on call this weekend and I was phoned at 8am and basically finished work just after 3pm.

If I can push the new version out you could see if that fixes the problem.

~0002090

Stephen Atty (administrator)

OK the new version is pushed and is using wp_remote_get everywhere for the main part of the code.

Location page might still need looking at.

~0002092

Laurence (reporter)

Pulled latest version 3.61.

hope this helps.....

Screen shot off error from trying to fetch data attached.

Canal Plan key says:
This key allows Canalplan to link back to your blog posts.
Unable to Access Canalplan AC using wp_remote_get

Database status in diagnostics
      Table 'wpqi_canalplan_options' is present and contains 3 rows
      Table 'wpqi_canalplan_aliases' is present and contains 0 rows
      Table 'wpqi_canalplan_codes' is present and contains 0 rows
      Table 'wpqi_canalplan_favourites' is present and contains 1 rows
      Table 'wpqi_canalplan_link' is present and contains 0 rows
      Table 'wpqi_canalplan_canals' is present and contains 0 rows
      Table 'wpqi_canalplan_routes' is present and contains 0 rows
      Table 'wpqi_canalplan_polylines' is present and contains 0 rows
      Table 'wpqi_canalplan_route_day' is present and contains 0 rows

~0002095

Stephen Atty (administrator)

So the Curl options haven't worked - so it times out and falls back on the file_open which I guess it shouldn't.

I have no idea why you're getting the curl timeout - that's something deep inside wordpress and obviously the curl configuration hooks aren't working.

As for the key- you're making a call which we're seeing.

 [27/Jan/2019:18:42:07 +0000] "GET /cgi-bin/api.cgi?mode=register_blogger&domain=http://ladys-smock.com&title=Lady%27s+Smock HTTP/2.0" 200 55 "https://canalplan.org.uk/cgi-bin/api.cgi?mode=register_blogger&domain=http://ladys-smock.com&title=Lady%27s+Smock" "WordPress/5.0.3; http://ladys-smock.com;canalplan-3.61 r00" canalplan.org.uk
  
We're also seeing a request for the datafile

 [27/Jan/2019:18:33:32 +0000] "GET /data/canalplan_wp.sqlite HTTP/2.0" 200 10213376 "https://canalplan.org.uk/data/canalplan_wp.sqlite" "WordPress/5.0.3; http://ladys-smock.com;canalplan-3.61 r00" canalplan.org.uk

but curl seems to be dying half way through

~0002097

Stephen Atty (administrator)

OK it looks like the CURL override wasn't getting loaded for some reason so I've fixed that plus but a bit of extra error handling in.

So a new version 3.62 has been checked in - should appear in a few minutes.

~0002105

Laurence (reporter)

3.62 gives errors:

cURL error 28: Operation timed out after 10000 milliseconds with 8351167 out of 10213376 bytes received
Response could not be parsed

CanalPlan Data

Warning: Invalid argument supplied for foreach() in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 149

Warning: Invalid argument supplied for foreach() in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 165

Warning: Invalid argument supplied for foreach() in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 180

Warning: Invalid argument supplied for foreach() in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 193

Warning: Invalid argument supplied for foreach() in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 208

Warning: fread(): Length parameter must be greater than 0 in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 222

Warning: Invalid argument supplied for foreach() in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 225
Table Name Contained (Rows) Now Contains (Rows)
Canalplan Aliases 0 0
Canalplan Features 0 0
Canalplan Places 0 0
Canalplan Links 0 0
Canalplan Waterways 0 0
Canalplan Polylines 0 0

~0002106

Stephen Atty (administrator)

Can you go to your media upload page and click on the button to upload new media and tell me what the maximum size for the upload is?

I know it sounds an odd request but I suspect that there's a limit set in PHP which is killing the download.

~0002107

Stephen Atty (administrator)

Does the diagnostics page give any errors?

~0002108

Stephen Atty (administrator)

Also I noticed that your hosting company are using php 5.6 which went End of Life on 31 Dec 2018.

~0002109

Stephen Atty (administrator)

OK i've released another version which adds some more diagnostics.

I've been unable to reproduce the error even on an old laptop with a slow hard drive a limited memory.

~0002111

Laurence (reporter)

Maximum upload file size 8Mb

However I see a setting in the config table.
upload_max_filesize 32M

get data response is

cURL error 28: Operation timed out after 10000 milliseconds with 7793105 out of 10213376 bytes received
Response could not be parsed
Response could not be parsed

Diagnostics page
Please provide the following information about your installation:
CanalPlan: 3.63 (3.63 r00)
WP_REMOTE_GET Status: wp_remote_get is not working
CanalPlan AC (Website): ( )
WordPress: 5.0.3
PHP: 5.6.40
PHP Memory Limit: 256M
PHP Memory Usage (MB): 7.75
PHP Max Exection Time (Seconds): 30
PHP Max Input Time (Seconds): 60
PHP Max Upload Size: 32M
PHP Max Post Size: 8M
MySQL: 10.1.37-MariaDB
Canalplan Update Cron: daily
Server : Apache
Active Plugins :
     CanalPlan Integration ( 3.63 )
     Easy Remove Footer Credit ( 1.0 )
     FooGallery Owl Carousel Template ( 1.4.2 )
     FooGallery ( 1.5.9 )
     Photonic Gallery & Lightbox for Flickr, SmugMug, Google Photos, Picasa, Zenfolio and Instagram ( 2.13 )
     PHP Settings ( 1.0.6 )
     TablePress ( 1.9.1 )

Canalplan Table Status :
      Table 'wpqi_canalplan_options' is present and contains 5 rows
      Table 'wpqi_canalplan_aliases' is present and contains 0 rows
      Table 'wpqi_canalplan_codes' is present and contains 0 rows
      Table 'wpqi_canalplan_favourites' is present and contains 1 rows
      Table 'wpqi_canalplan_link' is present and contains 0 rows
      Table 'wpqi_canalplan_canals' is present and contains 0 rows
      Table 'wpqi_canalplan_routes' is present and contains 0 rows
      Table 'wpqi_canalplan_polylines' is present and contains 0 rows
      Table 'wpqi_canalplan_route_day' is present and contains 0 rows


Canalplan Reference Table Status

CanalPlan data was last updated 0.01 hours ago ( on January 28, 2019 at 8:53 pm ).

Table Name Contains (Rows)
Canalplan Aliases 0
Canalplan Features 0
Canalplan Places 0
Canalplan Links 0
Canalplan Waterways 0
Canalplan Polylines 0

~0002112

Stephen Atty (administrator)

Last edited: 2019-01-28 21:35

View 3 revisions

There's a difference between the two but they sort of interact with each other. WP limits is image upload to the size of PHP Max Post Size which is the biggest block of data you can push into PHP as POST action which is how they upload photos.

I've set my laptop up to the same figures as are being displayed and it works.


I've tweaked the error reporting again and have released 3.64

~0002114

Stephen Atty (administrator)

3.65 now out - I've changed how I create the paths for storing the downloaded files from canalplan and updated the diagnostics page with some additional checks.

I'm hoping that these last changes should give us enough information to work out what to do next.

~0002116

Laurence (reporter)

Little change in the behaviour:
Getting the data times out
(As I understand it this would be a timeout between our hosted WP - which is hosted at Astutium - and the CP servers, so should not be dependent on what laptop I am running - which is a high end MAC.)

Errors say "Response could not be parsed"

lease provide the following information about your installation:
CanalPlan: 3.65 (3.65 r00)
WP_REMOTE_GET Status: wp_remote_get is reporting errors ( ERROR: Response could not be parsed ) and so we cannot access Canalplan - This is a problem
CanalPlan AC (Website): N/A ( N/A )
WordPress: 5.0.3
PHP: 5.6.40
PHP Memory Limit: 256M
PHP Memory Usage (MB): 7.75
PHP Max Exection Time (Seconds): 30
PHP Max Input Time (Seconds): 60
PHP Max Upload Size: 32M
PHP Max Post Size: 8M
MySQL: 10.1.37-MariaDB
Canalplan Update Cron: daily
Upload Directory: /home/locomoti/ladys-smock.com/wp-content/uploads
Upload Directory Exists: Exists
Server : Apache
Active Plugins :
     CanalPlan Integration ( 3.65 )
     Easy Remove Footer Credit ( 1.0 )
     FooGallery Owl Carousel Template ( 1.4.2 )
     FooGallery ( 1.5.9 )
     Photonic Gallery & Lightbox for Flickr, SmugMug, Google Photos, Picasa, Zenfolio and Instagram ( 2.13 )
     PHP Settings ( 1.0.6 )
     TablePress ( 1.9.1 )

Canalplan Table Status :
      Table 'wpqi_canalplan_options' is present and contains 5 rows
      Table 'wpqi_canalplan_aliases' is present and contains 0 rows
      Table 'wpqi_canalplan_codes' is present and contains 0 rows
      Table 'wpqi_canalplan_favourites' is present and contains 1 rows
      Table 'wpqi_canalplan_link' is present and contains 0 rows
      Table 'wpqi_canalplan_canals' is present and contains 0 rows
      Table 'wpqi_canalplan_routes' is present and contains 0 rows
      Table 'wpqi_canalplan_polylines' is present and contains 0 rows
      Table 'wpqi_canalplan_route_day' is present and contains 0 rows


Canalplan Reference Table Status

CanalPlan data was last updated 0 hours ago ( on January 30, 2019 at 11:19 am ).

Table Name Contains (Rows)
Canalplan Aliases 0
Canalplan Features 0
Canalplan Places 0
Canalplan Links 0
Canalplan Waterways 0
Canalplan Polylines 0

~0002117

Stephen Atty (administrator)

OK so for some reason the wp_remote_get call is failing to get the url.

It's odd because we're seeing the call made at this end

80.76.216.50 - - [30/Jan/2019:11:19:16 +0000] "GET /cgi-bin/api.cgi?mode=version HTTP/2.0" 200 64 "https://canalplan.org.uk/cgi-bin/api.cgi?mode=version" "WordPress/5.0.3; http://ladys-smock.com;canalplan-3.65 r00" canalplan.org.uk

So basically the blog makes a background call to

https://canalplan.org.uk/cgi-bin/api.cgi?mode=version

which returns

{"date":"Jan 29 2019","time":"07:33:53","version":"9.32.12.1"}




but the "Response could not be parsed" error comes right from the core of the wp_remote_get function and seems to be related to missing headers.

I suspect that your hosting company is doing something odd which is blocking the calls.

~0002120

Stephen Atty (administrator)

Can you try installing and activating
https://wordpress.org/plugins/health-check/

and you should get a new menu item giving a lot of details on the heath of your WP install

~0002121

Laurence (reporter)

Installed health check.
Interesting one of the health checks returned that same response could not be parsed error.
Unable to reach WordPress.org at 198.143.164.252: Response could not be parsed

Not sure what you might need from the health check here is the site status:
WordPress Version 5.0.3
Plugin Versions
 Your site has 3 plugins waiting to be updated.
 Your site has 3 inactive plugins, it is recommended to remove any unused plugins to enhance your site security.
Theme Versions
 Your site has 4 themes waiting to be updated.
 Your site has 4 inactive themes, other than twentynineteen, the default WordPress theme, and Foundation Lite, your active theme. It is recommended to remove any unused themes to enhance your sites security.
PHP Version 5.6.40 - For best performance we recommend using PHP 7.2 or higher.
Database Server version 10.1.37-MariaDB
PHP Extensions
 The optional module, libsodium, is not installer, or has been disabled.
 The optional module, imagick, is not installer, or has been disabled.
MySQL utf8mb4 support Your MariaDB version supports utf8mb4
HTTPS status You are accessing this website using HTTPS, but your WordPress Address is not set up to use HTTPS by default.
Secure communication Your WordPress install can communicate securely with other services.
Scheduled events No scheduled events have been missed.
Plugin and Theme Updates
 Plugin updates should be working as expected.
 Theme updates should be working as expected.
HTTP Requests HTTP requests should be working as expected.
REST API availability The REST API is available.
Communication with WordPress.org Unable to reach WordPress.org at 198.143.164.252: Response could not be parsed
Background updates
 No version control systems were detected.
 Your installation of WordPress doesn't require FTP credentials to perform updates.
 All of your WordPress files are writable.
Loopback request The loopback request to your site completed successfully.

~0002122

Stephen Atty (administrator)

OK - it confirms that it's not my plugin. You need to talk to your hosting company because there is something wrong with the server

The Healthcheck plugin is written by Wordpress developers.

~0002123

Stephen Atty (administrator)

OK I've added some header diagnostics to the plugin (as suggested by someone from Wordpress). It will be interesting to see what version 3.66 reports.

~0002127

Stephen Atty (administrator)

I've just made some adjustments to the CURL parameters to hopefully make it more resilient.

That's version 3.67

~0002155

Stephen Atty (administrator)

I've released 4.00 which fixes some things that shouldn't make any difference to your issues but who knows.

~0002161

Laurence (reporter)

Hi Stephen I downloaded/ installed 4.0 and things are looking better.
But still not quite working.

[Incidentally I found that the "Response could not be parsed" error seems to be cause by the CP plugin
I was getting the error on other plugins and it was also preventing my installing plugin updates - I had too disable CP plugin 3.65 before I could install any plugin updates]

But that is in the past CP plugin 4.0 does not exhibit this and the error has gone away.
The problem is now the timeouts - diagnostics follow:

I think when it loaded the data it said timed out after 10000 milliseconds having loaded ...
and said it had loaded a lot of data (I can't get the figure because I can't retry to load data for 12 hours to capture the screen. It seemed getting that much data in what I think was 10 seconds was good and should not be considered as a reason to timeout.

Can timeouts be adjusted ?

Please provide the following information about your installation:
CanalPlan: 4.00 (4.00 r00)
Header Size: 261
WP_REMOTE_GET Status: wp_remote_get is working and can acccess the Canalplan Website - All is OK ( Response Time was : 1.50203704834E-5 seconds )
CanalPlan AC (Website): 9.32.12.1 ( Jan 29 2019 )
WordPress: 5.0.3
PHP: 5.6.40
PHP Memory Limit: 256M
PHP Memory Usage (MB): 7.75
PHP Max Exection Time (Seconds): 30
PHP Max Input Time (Seconds): 60
PHP Max Upload Size: 32M
PHP Max Post Size: 8M
MySQL: 10.1.38-MariaDB
Canalplan Update Cron: daily
Upload Directory: /home/locomoti/ladys-smock.com/wp-content/uploads
Upload Directory Exists: Exists
Server : Apache
Active Plugins :
     CanalPlan Integration ( 4.00 )
     Easy Remove Footer Credit ( 1.0 )
     FooGallery Owl Carousel Template ( 1.4.2 )
     FooGallery ( 1.6.15 )
     Health Check & Troubleshooting ( 1.2.5 )
     Photonic Gallery & Lightbox for Flickr, SmugMug, Google Photos, Zenfolio and Instagram ( 2.20 )
     PHP Settings ( 1.0.6 )
     TablePress ( 1.9.1 )

Canalplan Table Status :
      Table 'wpqi_canalplan_options' is present and contains 5 rows
      Table 'wpqi_canalplan_aliases' is present and contains 0 rows
      Table 'wpqi_canalplan_codes' is present and contains 0 rows
      Table 'wpqi_canalplan_favourites' is present and contains 1 rows
      Table 'wpqi_canalplan_link' is present and contains 0 rows
      Table 'wpqi_canalplan_canals' is present and contains 0 rows
      Table 'wpqi_canalplan_routes' is present and contains 1 rows
      Table 'wpqi_canalplan_polylines' is present and contains 852 rows
      Table 'wpqi_canalplan_route_day' is present and contains 20 rows


Canalplan Reference Table Status

CanalPlan data was last updated 10.15 hours ago ( on February 15, 2019 at 10:12 pm ).

Table Name Contains (Rows)
Canalplan Aliases 0
Canalplan Features 0
Canalplan Places 0
Canalplan Links 0
Canalplan Waterways 0
Canalplan Polylines 852

~0002163

Stephen Atty (administrator)

4.01 just pushed. I've added a lot of set_time_limit calls into the loops which hopefully might help.

I am looking at breaking down the data load into smaller chunks so rather than pulling 1 big file for the data it pulls separate blocks.

~0002164

Laurence (reporter)

No change with 4.01
Download speed is 8.5 Mbps so not bad and its seems to say its getting 80% of what it needs

cURL error 28: Operation timed out after 10000 milliseconds with 8486912 out of 10213376 bytes received

CanalPlan Data

ERROR: cURL error 28: Operation timed out after 10000 milliseconds with 8486912 out of 10213376 bytes received

Warning: Invalid argument supplied for foreach() in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 115

Warning: Invalid argument supplied for foreach() in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 132

Warning: Invalid argument supplied for foreach() in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 148

Warning: Invalid argument supplied for foreach() in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 162

Warning: Invalid argument supplied for foreach() in /home/locomoti/ladys-smock.com/wp-content/plugins/canalplan-ac/admin-pages/cp-admin-general.php on line 178
Table Name Contained (Rows) Now Contains (Rows)
Canalplan Aliases 0 0
Canalplan Features 0 0
Canalplan Places 0 0
Canalplan Links 0 0
Canalplan Waterways 0 0
Canalplan Polylines 852 852

~0002167

Stephen Atty (administrator)

I've upped the curl timeouts as its failing to pull the full data size.

Pushed as 4.02

~0002169

Laurence (reporter)

No visible change in performance
cURL error 28: Operation timed out after 10000 milliseconds with 8060928 out of 10213376 bytes received

timeout time the same - umber of bites received actually gone down

~0002172

Stephen Atty (administrator)

OK - I've upped some more timeouts.

You might need to talk to your hosting company.

I'm going to work on splitting that 10MB file into smaller JSON chunks.

~0002173

Laurence (reporter)

No change : 10000 milliseconds with 8306688 out of 10213376 bytes received

~0002174

Stephen Atty (administrator)

OK - I'm halfway through recoding the data loader to use several JSON files - with the biggest being under 5MB

~0002176

Stephen Atty (administrator)

Currently testing the JSON export and Import process.

With an empty database it takes quite a while but isn't throwing any errors on my test installation.

~0002178

Stephen Atty (administrator)

OK 4.10 moves all the big database tables to chunked JSON in multiple small files.

~0002179

Laurence (reporter)

Right : the data all loaded (thanks for all your efforts)
Now trying to work out how to use it all .

Adding CP tags working intermittently but unreliably.
Nothng appears on the blogroutes page with {bloggedroutes} inserted

Need to read and understand more before i start asking questions.

~0002180

Stephen Atty (administrator)

Last edited: 2019-02-16 19:21

View 2 revisions

Blogged routes only works when you've pulled a route in from Canalplan, created the posts and marked the route as published on the manage routes page

Adding CP tags should work fine - when you start typing in a place name in the box does it bring up a list of matches after you've put in a few characters?

Are you using Gutenberg or the classic editor?

~0002181

Laurence (reporter)

Blogged routes understood ill give it a go

Place names in boxes are auto filled so that is working

Im using Gutenberg, though i'm more of a pure HTML man myself so having to adapt.

~0002182

Stephen Atty (administrator)

OK you might find that using the classic editor plugin is what you need - it gives you a lot more control over the actual layout and the plugin works a lot better with it.

~0002185

Laurence (reporter)

I suggest we cloys this thread it is long enough already and the Plugin has installed so the topic is actually closed.

Will raise any new observations as new bugs

~0002186

Stephen Atty (administrator)

After much tweaking and recoding the plugin is now working

~0002243

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2019-01-25 11:34 Laurence New Issue
2019-01-25 14:24 Stephen Atty Note Added: 0002067
2019-01-25 14:26 Stephen Atty Assigned To => user17280
2019-01-25 14:26 Stephen Atty Status new => assigned
2019-01-25 18:21 Stephen Atty Note Added: 0002068
2019-01-25 18:45 Stephen Atty Note Added: 0002069
2019-01-25 20:24 Stephen Atty Note Added: 0002070
2019-01-26 19:03 Stephen Atty Note Added: 0002079
2019-01-26 19:59 Laurence Note Added: 0002080
2019-01-26 20:26 Stephen Atty Note Added: 0002081
2019-01-26 20:34 Stephen Atty File Added: canalplan-ac.zip
2019-01-26 20:34 Stephen Atty Note Added: 0002082
2019-01-27 14:50 Laurence Note Added: 0002084
2019-01-27 15:10 Stephen Atty Note Added: 0002085
2019-01-27 15:17 Laurence Note Added: 0002086
2019-01-27 15:25 Stephen Atty Note Added: 0002087
2019-01-27 16:07 Stephen Atty Note Added: 0002090
2019-01-27 18:44 Laurence File Added: Screenshot 2019-01-27 at 18.35.33.png
2019-01-27 18:44 Laurence Note Added: 0002092
2019-01-27 20:09 Stephen Atty Note Added: 0002095
2019-01-27 20:26 Stephen Atty Note Added: 0002097
2019-01-28 13:36 Laurence Note Added: 0002105
2019-01-28 19:03 Stephen Atty Note Added: 0002106
2019-01-28 19:44 Stephen Atty Note Added: 0002107
2019-01-28 19:46 Stephen Atty Note Added: 0002108
2019-01-28 20:14 Stephen Atty Note Added: 0002109
2019-01-28 20:58 Laurence Note Added: 0002111
2019-01-28 21:31 Stephen Atty Note Added: 0002112
2019-01-28 21:34 Stephen Atty Note Edited: 0002112 View Revisions
2019-01-28 21:35 Stephen Atty Note Edited: 0002112 View Revisions
2019-01-28 22:48 Stephen Atty Note Added: 0002114
2019-01-30 11:22 Laurence Note Added: 0002116
2019-01-30 17:49 Stephen Atty Note Added: 0002117
2019-02-01 13:05 Stephen Atty Note Added: 0002120
2019-02-01 17:45 Laurence Note Added: 0002121
2019-02-01 18:20 Stephen Atty Note Added: 0002122
2019-02-02 19:44 Stephen Atty Note Added: 0002123
2019-02-03 18:47 Stephen Atty Note Added: 0002127
2019-02-11 20:26 Stephen Atty Note Added: 0002155
2019-02-16 08:26 Laurence Note Added: 0002161
2019-02-16 09:29 Stephen Atty Note Added: 0002163
2019-02-16 09:37 Laurence Note Added: 0002164
2019-02-16 10:05 Stephen Atty Note Added: 0002167
2019-02-16 10:37 Laurence Note Added: 0002169
2019-02-16 11:14 Stephen Atty Note Added: 0002172
2019-02-16 11:16 Laurence Note Added: 0002173
2019-02-16 11:50 Stephen Atty Note Added: 0002174
2019-02-16 14:30 Stephen Atty Note Added: 0002176
2019-02-16 18:27 Stephen Atty Note Added: 0002178
2019-02-16 19:11 Laurence Note Added: 0002179
2019-02-16 19:19 Stephen Atty Note Added: 0002180
2019-02-16 19:21 Stephen Atty Note Edited: 0002180 View Revisions
2019-02-16 20:18 Laurence Note Added: 0002181
2019-02-16 21:43 Stephen Atty Note Added: 0002182
2019-02-17 10:40 Laurence Note Added: 0002185
2019-02-17 10:41 Stephen Atty Status assigned => resolved
2019-02-17 10:41 Stephen Atty Resolution open => fixed
2019-02-17 10:41 Stephen Atty Note Added: 0002186
2019-03-19 11:30 Autoclose Note Added: 0002243
2019-03-19 11:30 Autoclose Status resolved => closed
+Issue History